{
  "AbilityMixins": [
    {
      "$type": "ActwithStateFrameMixin",
      "ConfigList": [
        {
          "ActionList": [
            {
              "$type": "DitherFadeAction",
              "DitherFadeKey": "Avatar_Astra_Branch_Dtiher_Fade_01",
              "Tag": "Avatar_Astra_Branch_Dtiher_Fade",
              "Target": "Self"
            }
          ],
          "AnimatorStateName": "Attack_Branch_02",
          "ForceTriggerOnTransitionIn": false,
          "ForceTriggerOnTransitionOut": false,
          "Frame": 0,
          "IsLoop": false,
          "LayerIndex": 0
        },
        {
          "ActionList": [
            {
              "$type": "DitherFadeAction",
              "DitherFadeKey": "Avatar_Astra_Branch_Dtiher_Fade_01",
              "Tag": "Avatar_Astra_Branch_Dtiher_Fade",
              "Target": "Self"
            }
          ],
          "AnimatorStateName": "Attack_Branch_02",
          "ForceTriggerOnTransitionIn": false,
          "ForceTriggerOnTransitionOut": false,
          "Frame": 17,
          "IsLoop": false,
          "LayerIndex": 0
        },
        {
          "ActionList": [
            {
              "$type": "DitherFadeAction",
              "DitherFadeKey": "Avatar_Astra_Branch_Dtiher_Fade_01",
              "Tag": "Avatar_Astra_Branch_Dtiher_Fade",
              "Target": "Self"
            }
          ],
          "AnimatorStateName": "Attack_Branch_02",
          "ForceTriggerOnTransitionIn": false,
          "ForceTriggerOnTransitionOut": false,
          "Frame": 41,
          "IsLoop": false,
          "LayerIndex": 0
        }
      ]
    },
    {
      "$type": "AttachStateWithModifierMixin",
      "ConfigList": [
        {
          "AnimatorStateName": "Attack_Branch_03",
          "FrameCountHigh": 30,
          "FrameCountLow": 0,
          "IsLoop": false,
          "LayerIndex": 0,
          "MaxFrameCountHigh": true,
          "MaxFrameCountLow": false,
          "ModifierNameList": [
            "DitherFadeModifier"
          ]
        }
      ]
    }
  ],
  "AbilityName": "Astra_Dither",
  "AbilityStacking": "Unique",
  "Modifiers": {
    "DitherFadeModifier": {
      "Duration": -1,
      "IgnoreTimeScale": false,
      "ModifierStacking": "Refresh",
      "OnAdded": [
        {
          "$type": "DitherFadeAction",
          "DitherFadeKey": "Avatar_Astra_Branch_Dtiher_Fade_02",
          "Tag": "Avatar_Astra_Branch_Dtiher_Fade",
          "Target": "Self"
        }
      ],
      "OnRemoved": [
        {
          "$type": "InterruptDitherFadeAction",
          "Tag": "Avatar_Astra_Branch_Dtiher_Fade",
          "Target": "Self"
        }
      ]
    }
  }
}